using UnityEngine;
using GadgetCore.API;
using GadgetCore.API.ConfigMenu;

namespace ItemLevelExtension
{
  [Gadget("ItemLevelExtension")]
  public class ItemLevelExtension : Gadget<ItemLevelExtension>
  {
    public const string MOD_VERSION = "0.1"; // Set this to the version of your mod.
    public const string CONFIG_VERSION = "1.0"; // Increment this whenever you change your mod's config file.

    public override IGadgetConfigMenu GetConfigMenu() { return null; }

    public override string GetModDescription()
    {
      return "Raises the MAX item level to 100.";
    }

    protected override void Initialize()
    {
      Logger.Log("Item Level Extension v" + Info.Mod.Version);
      Core.logger = Logger;
      Core.settingMaxItemLevel = 100;
    }
  }
}
